NativeEnumerated.c vars NULL init and check
[com/asn1c.git] / asn1c / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 bin_PROGRAMS = asn1c$(EXEEXT) unber$(EXEEXT) enber$(EXEEXT)
93 subdir = asn1c
94 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95 am__aclocal_m4_deps =  \
96         $(top_srcdir)/m4/ax_check_compile_and_link_flag.m4 \
97         $(top_srcdir)/m4/ax_check_compile_flag.m4 \
98         $(top_srcdir)/m4/ax_code_coverage.m4 \
99         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
100         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
101         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
102 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
103         $(ACLOCAL_M4)
104 DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
105         $(noinst_HEADERS) $(am__DIST_COMMON)
106 mkinstalldirs = $(install_sh) -d
107 CONFIG_HEADER = $(top_builddir)/config.h
108 CONFIG_CLEAN_FILES =
109 CONFIG_CLEAN_VPATH_FILES =
110 am__installdirs = "$(DESTDIR)$(bindir)"
111 PROGRAMS = $(bin_PROGRAMS)
112 asn1c_SOURCES = asn1c.c
113 asn1c_OBJECTS = asn1c.$(OBJEXT)
114 asn1c_DEPENDENCIES = $(top_builddir)/libasn1common/libasn1common.la \
115         $(top_builddir)/libasn1parser/libasn1parser.la \
116         $(top_builddir)/libasn1print/libasn1print.la \
117         $(top_builddir)/libasn1fix/libasn1fix.la \
118         $(top_builddir)/libasn1compiler/libasn1compiler.la
119 AM_V_lt = $(am__v_lt_@AM_V@)
120 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
121 am__v_lt_0 = --silent
122 am__v_lt_1 = 
123 enber_SOURCES = enber.c
124 enber_OBJECTS = enber.$(OBJEXT)
125 enber_LDADD = $(LDADD)
126 unber_SOURCES = unber.c
127 unber_OBJECTS = unber.$(OBJEXT)
128 unber_DEPENDENCIES = $(top_builddir)/libasn1common/libasn1common.la
129 AM_V_P = $(am__v_P_@AM_V@)
130 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
131 am__v_P_0 = false
132 am__v_P_1 = :
133 AM_V_GEN = $(am__v_GEN_@AM_V@)
134 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
135 am__v_GEN_0 = @echo "  GEN     " $@;
136 am__v_GEN_1 = 
137 AM_V_at = $(am__v_at_@AM_V@)
138 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
139 am__v_at_0 = @
140 am__v_at_1 = 
141 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
142 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
143 am__depfiles_maybe = depfiles
144 am__mv = mv -f
145 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
146         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
147 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
148         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
149         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
150         $(AM_CFLAGS) $(CFLAGS)
151 AM_V_CC = $(am__v_CC_@AM_V@)
152 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
153 am__v_CC_0 = @echo "  CC      " $@;
154 am__v_CC_1 = 
155 CCLD = $(CC)
156 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
157         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
158         $(AM_LDFLAGS) $(LDFLAGS) -o $@
159 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
160 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
161 am__v_CCLD_0 = @echo "  CCLD    " $@;
162 am__v_CCLD_1 = 
163 SOURCES = asn1c.c enber.c unber.c
164 DIST_SOURCES = asn1c.c enber.c unber.c
165 am__can_run_installinfo = \
166   case $$AM_UPDATE_INFO_DIR in \
167     n|no|NO) false;; \
168     *) (install-info --version) >/dev/null 2>&1;; \
169   esac
170 HEADERS = $(noinst_HEADERS)
171 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
172 # Read a list of newline-separated strings from the standard input,
173 # and print each of them once, without duplicates.  Input order is
174 # *not* preserved.
175 am__uniquify_input = $(AWK) '\
176   BEGIN { nonempty = 0; } \
177   { items[$$0] = 1; nonempty = 1; } \
178   END { if (nonempty) { for (i in items) print i; }; } \
179 '
180 # Make sure the list of sources is unique.  This is necessary because,
181 # e.g., the same source file might be shared among _SOURCES variables
182 # for different programs/libraries.
183 am__define_uniq_tagged_files = \
184   list='$(am__tagged_files)'; \
185   unique=`for i in $$list; do \
186     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
187   done | $(am__uniquify_input)`
188 ETAGS = etags
189 CTAGS = ctags
190 am__tty_colors_dummy = \
191   mgn= red= grn= lgn= blu= brg= std=; \
192   am__color_tests=no
193 am__tty_colors = { \
194   $(am__tty_colors_dummy); \
195   if test "X$(AM_COLOR_TESTS)" = Xno; then \
196     am__color_tests=no; \
197   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
198     am__color_tests=yes; \
199   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
200     am__color_tests=yes; \
201   fi; \
202   if test $$am__color_tests = yes; then \
203     red='\e[0;31m'; \
204     grn='\e[0;32m'; \
205     lgn='\e[1;32m'; \
206     blu='\e[1;34m'; \
207     mgn='\e[0;35m'; \
208     brg='\e[1m'; \
209     std='\e[m'; \
210   fi; \
211 }
212 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
213 am__vpath_adj = case $$p in \
214     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
215     *) f=$$p;; \
216   esac;
217 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
218 am__install_max = 40
219 am__nobase_strip_setup = \
220   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
221 am__nobase_strip = \
222   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
223 am__nobase_list = $(am__nobase_strip_setup); \
224   for p in $$list; do echo "$$p $$p"; done | \
225   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
226   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
227     if (++n[$$2] == $(am__install_max)) \
228       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
229     END { for (dir in files) print dir, files[dir] }'
230 am__base_list = \
231   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
232   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
233 am__uninstall_files_from_dir = { \
234   test -z "$$files" \
235     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
236     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
237          $(am__cd) "$$dir" && rm -f $$files; }; \
238   }
239 am__recheck_rx = ^[     ]*:recheck:[    ]*
240 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
241 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
242 # A command that, given a newline-separated list of test names on the
243 # standard input, print the name of the tests that are to be re-run
244 # upon "make recheck".
245 am__list_recheck_tests = $(AWK) '{ \
246   recheck = 1; \
247   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
248     { \
249       if (rc < 0) \
250         { \
251           if ((getline line2 < ($$0 ".log")) < 0) \
252             recheck = 0; \
253           break; \
254         } \
255       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
256         { \
257           recheck = 0; \
258           break; \
259         } \
260       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
261         { \
262           break; \
263         } \
264     }; \
265   if (recheck) \
266     print $$0; \
267   close ($$0 ".trs"); \
268   close ($$0 ".log"); \
269 }'
270 # A command that, given a newline-separated list of test names on the
271 # standard input, create the global log from their .trs and .log files.
272 am__create_global_log = $(AWK) ' \
273 function fatal(msg) \
274 { \
275   print "fatal: making $@: " msg | "cat >&2"; \
276   exit 1; \
277 } \
278 function rst_section(header) \
279 { \
280   print header; \
281   len = length(header); \
282   for (i = 1; i <= len; i = i + 1) \
283     printf "="; \
284   printf "\n\n"; \
285 } \
286 { \
287   copy_in_global_log = 1; \
288   global_test_result = "RUN"; \
289   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
290     { \
291       if (rc < 0) \
292          fatal("failed to read from " $$0 ".trs"); \
293       if (line ~ /$(am__global_test_result_rx)/) \
294         { \
295           sub("$(am__global_test_result_rx)", "", line); \
296           sub("[        ]*$$", "", line); \
297           global_test_result = line; \
298         } \
299       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
300         copy_in_global_log = 0; \
301     }; \
302   if (copy_in_global_log) \
303     { \
304       rst_section(global_test_result ": " $$0); \
305       while ((rc = (getline line < ($$0 ".log"))) != 0) \
306       { \
307         if (rc < 0) \
308           fatal("failed to read from " $$0 ".log"); \
309         print line; \
310       }; \
311       printf "\n"; \
312     }; \
313   close ($$0 ".trs"); \
314   close ($$0 ".log"); \
315 }'
316 # Restructured Text title.
317 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
318 # Solaris 10 'make', and several other traditional 'make' implementations,
319 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
320 # by disabling -e (using the XSI extension "set +e") if it's set.
321 am__sh_e_setup = case $$- in *e*) set +e;; esac
322 # Default flags passed to test drivers.
323 am__common_driver_flags = \
324   --color-tests "$$am__color_tests" \
325   --enable-hard-errors "$$am__enable_hard_errors" \
326   --expect-failure "$$am__expect_failure"
327 # To be inserted before the command running the test.  Creates the
328 # directory for the log if needed.  Stores in $dir the directory
329 # containing $f, in $tst the test, in $log the log.  Executes the
330 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
331 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
332 # will run the test scripts (or their associated LOG_COMPILER, if
333 # thy have one).
334 am__check_pre = \
335 $(am__sh_e_setup);                                      \
336 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
337 $(am__tty_colors);                                      \
338 srcdir=$(srcdir); export srcdir;                        \
339 case "$@" in                                            \
340   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
341     *) am__odir=.;;                                     \
342 esac;                                                   \
343 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
344   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
345 if test -f "./$$f"; then dir=./;                        \
346 elif test -f "$$f"; then dir=;                          \
347 else dir="$(srcdir)/"; fi;                              \
348 tst=$$dir$$f; log='$@';                                 \
349 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
350   am__enable_hard_errors=no;                            \
351 else                                                    \
352   am__enable_hard_errors=yes;                           \
353 fi;                                                     \
354 case " $(XFAIL_TESTS) " in                              \
355   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
356     am__expect_failure=yes;;                            \
357   *)                                                    \
358     am__expect_failure=no;;                             \
359 esac;                                                   \
360 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
361 # A shell command to get the names of the tests scripts with any registered
362 # extension removed (i.e., equivalently, the names of the test logs, with
363 # the '.log' extension removed).  The result is saved in the shell variable
364 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
365 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
366 # since that might cause problem with VPATH rewrites for suffix-less tests.
367 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
368 am__set_TESTS_bases = \
369   bases='$(TEST_LOGS)'; \
370   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
371   bases=`echo $$bases`
372 RECHECK_LOGS = $(TEST_LOGS)
373 AM_RECURSIVE_TARGETS = check recheck
374 TEST_SUITE_LOG = test-suite.log
375 TEST_EXTENSIONS = @EXEEXT@ .test
376 LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
377 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
378 am__set_b = \
379   case '$@' in \
380     */*) \
381       case '$*' in \
382         */*) b='$*';; \
383           *) b=`echo '$@' | sed 's/\.log$$//'`; \
384        esac;; \
385     *) \
386       b='$*';; \
387   esac
388 am__test_logs1 = $(TESTS:=.log)
389 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
390 TEST_LOGS = $(am__test_logs2:.test.log=.log)
391 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
392 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
393         $(TEST_LOG_FLAGS)
394 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp \
395         $(top_srcdir)/config/test-driver README
396 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
397 ACLOCAL = @ACLOCAL@
398 ADD_CFLAGS = @ADD_CFLAGS@
399 AMTAR = @AMTAR@
400 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
401 AR = @AR@
402 ASAN_ENV_FLAGS = @ASAN_ENV_FLAGS@
403 AUTOCONF = @AUTOCONF@
404 AUTOHEADER = @AUTOHEADER@
405 AUTOMAKE = @AUTOMAKE@
406 AWK = @AWK@
407 CC = @CC@
408 CCDEPMODE = @CCDEPMODE@
409 CFLAGS = @CFLAGS@
410 CFLAGS_M32 = @CFLAGS_M32@
411 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
412 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
413 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
414 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
415 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
416 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
417 CPP = @CPP@
418 CPPFLAGS = @CPPFLAGS@
419 CXX = @CXX@
420 CXXCPP = @CXXCPP@
421 CXXDEPMODE = @CXXDEPMODE@
422 CXXFLAGS = @CXXFLAGS@
423 CYGPATH_W = @CYGPATH_W@
424 DEFS = @DEFS@
425 DEPDIR = @DEPDIR@
426 DLLTOOL = @DLLTOOL@
427 DSYMUTIL = @DSYMUTIL@
428 DUMPBIN = @DUMPBIN@
429 ECHO_C = @ECHO_C@
430 ECHO_N = @ECHO_N@
431 ECHO_T = @ECHO_T@
432 EGREP = @EGREP@
433 EXEEXT = @EXEEXT@
434 FGREP = @FGREP@
435 GCOV = @GCOV@
436 GENHTML = @GENHTML@
437 GREP = @GREP@
438 INSTALL = @INSTALL@
439 INSTALL_DATA = @INSTALL_DATA@
440 INSTALL_PROGRAM = @INSTALL_PROGRAM@
441 INSTALL_SCRIPT = @INSTALL_SCRIPT@
442 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
443 LCOV = @LCOV@
444 LD = @LD@
445 LDFLAGS = @LDFLAGS@
446 LEX = @LEX@
447 LEXLIB = @LEXLIB@
448 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
449 LIBFUZZER_CFLAGS = @LIBFUZZER_CFLAGS@
450 LIBOBJS = @LIBOBJS@
451 LIBS = @LIBS@
452 LIBTOOL = @LIBTOOL@
453 LIPO = @LIPO@
454 LN_S = @LN_S@
455 LTLIBOBJS = @LTLIBOBJS@
456 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
457 MAKEINFO = @MAKEINFO@
458 MANIFEST_TOOL = @MANIFEST_TOOL@
459 MKDIR_P = @MKDIR_P@
460 NM = @NM@
461 NMEDIT = @NMEDIT@
462 OBJDUMP = @OBJDUMP@
463 OBJEXT = @OBJEXT@
464 OTOOL = @OTOOL@
465 OTOOL64 = @OTOOL64@
466 PACKAGE = @PACKAGE@
467 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
468 PACKAGE_NAME = @PACKAGE_NAME@
469 PACKAGE_STRING = @PACKAGE_STRING@
470 PACKAGE_TARNAME = @PACKAGE_TARNAME@
471 PACKAGE_URL = @PACKAGE_URL@
472 PACKAGE_VERSION = @PACKAGE_VERSION@
473 PANDOC = @PANDOC@
474 PATH_SEPARATOR = @PATH_SEPARATOR@
475 RANLIB = @RANLIB@
476 SANITIZER_CFLAGS = @SANITIZER_CFLAGS@
477 SED = @SED@
478 SET_MAKE = @SET_MAKE@
479 SHELL = @SHELL@
480 SKELETONS_CFLAGS = @SKELETONS_CFLAGS@
481 STRIP = @STRIP@
482 TESTSUITE_CFLAGS = @TESTSUITE_CFLAGS@
483 VERSION = @VERSION@
484 YACC = @YACC@
485 YFLAGS = @YFLAGS@
486 abs_builddir = @abs_builddir@
487 abs_srcdir = @abs_srcdir@
488 abs_top_builddir = @abs_top_builddir@
489 abs_top_srcdir = @abs_top_srcdir@
490 ac_ct_AR = @ac_ct_AR@
491 ac_ct_CC = @ac_ct_CC@
492 ac_ct_CXX = @ac_ct_CXX@
493 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
494 am__include = @am__include@
495 am__leading_dot = @am__leading_dot@
496 am__quote = @am__quote@
497 am__tar = @am__tar@
498 am__untar = @am__untar@
499 bindir = @bindir@
500 build = @build@
501 build_alias = @build_alias@
502 build_cpu = @build_cpu@
503 build_os = @build_os@
504 build_vendor = @build_vendor@
505 builddir = @builddir@
506 datadir = @datadir@
507 datarootdir = @datarootdir@
508 docdir = @docdir@
509 dvidir = @dvidir@
510 exec_prefix = @exec_prefix@
511 host = @host@
512 host_alias = @host_alias@
513 host_cpu = @host_cpu@
514 host_os = @host_os@
515 host_vendor = @host_vendor@
516 htmldir = @htmldir@
517 includedir = @includedir@
518 infodir = @infodir@
519 install_sh = @install_sh@
520 libdir = @libdir@
521 libexecdir = @libexecdir@
522 localedir = @localedir@
523 localstatedir = @localstatedir@
524 mandir = @mandir@
525 mkdir_p = @mkdir_p@
526 oldincludedir = @oldincludedir@
527 pdfdir = @pdfdir@
528 prefix = @prefix@
529 program_transform_name = @program_transform_name@
530 psdir = @psdir@
531 runstatedir = @runstatedir@
532 sbindir = @sbindir@
533 sharedstatedir = @sharedstatedir@
534 srcdir = @srcdir@
535 sysconfdir = @sysconfdir@
536 target_alias = @target_alias@
537 top_build_prefix = @top_build_prefix@
538 top_builddir = @top_builddir@
539 top_srcdir = @top_srcdir@
540 AM_CFLAGS = @ADD_CFLAGS@
541 AM_CPPFLAGS = \
542     -I${top_srcdir}/libasn1compiler \
543     -I${top_srcdir}/libasn1common   \
544     -I${top_srcdir}/libasn1parser   \
545     -I${top_srcdir}/libasn1print    \
546     -I${top_srcdir}/libasn1fix      \
547     -I${top_srcdir}/skeletons       \
548     -DDATADIR=\"$(pkgdatadir)\"
549
550 asn1c_LDADD = \
551     $(top_builddir)/libasn1common/libasn1common.la      \
552     $(top_builddir)/libasn1parser/libasn1parser.la      \
553     $(top_builddir)/libasn1print/libasn1print.la        \
554     $(top_builddir)/libasn1fix/libasn1fix.la            \
555     $(top_builddir)/libasn1compiler/libasn1compiler.la
556
557 unber_LDADD = \
558     $(top_builddir)/libasn1common/libasn1common.la
559
560 noinst_HEADERS = sys-common.h
561 dist_check_SCRIPTS = check-xxber.sh
562 TESTS_ENVIRONMENT = top_srcdir=${top_srcdir}
563 TESTS = $(dist_check_SCRIPTS)
564 CLEANFILES = .check-xxber.*.tmp
565 all: all-am
566
567 .SUFFIXES:
568 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
569 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
570         @for dep in $?; do \
571           case '$(am__configure_deps)' in \
572             *$$dep*) \
573               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
574                 && { if test -f $@; then exit 0; else break; fi; }; \
575               exit 1;; \
576           esac; \
577         done; \
578         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign asn1c/Makefile'; \
579         $(am__cd) $(top_srcdir) && \
580           $(AUTOMAKE) --foreign asn1c/Makefile
581 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
582         @case '$?' in \
583           *config.status*) \
584             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
585           *) \
586             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
587             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
588         esac;
589
590 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
591         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
592
593 $(top_srcdir)/configure:  $(am__configure_deps)
594         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
595 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
596         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
597 $(am__aclocal_m4_deps):
598 install-binPROGRAMS: $(bin_PROGRAMS)
599         @$(NORMAL_INSTALL)
600         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
601         if test -n "$$list"; then \
602           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
603           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
604         fi; \
605         for p in $$list; do echo "$$p $$p"; done | \
606         sed 's/$(EXEEXT)$$//' | \
607         while read p p1; do if test -f $$p \
608          || test -f $$p1 \
609           ; then echo "$$p"; echo "$$p"; else :; fi; \
610         done | \
611         sed -e 'p;s,.*/,,;n;h' \
612             -e 's|.*|.|' \
613             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
614         sed 'N;N;N;s,\n, ,g' | \
615         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
616           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
617             if ($$2 == $$4) files[d] = files[d] " " $$1; \
618             else { print "f", $$3 "/" $$4, $$1; } } \
619           END { for (d in files) print "f", d, files[d] }' | \
620         while read type dir files; do \
621             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
622             test -z "$$files" || { \
623             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
624             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
625             } \
626         ; done
627
628 uninstall-binPROGRAMS:
629         @$(NORMAL_UNINSTALL)
630         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
631         files=`for p in $$list; do echo "$$p"; done | \
632           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
633               -e 's/$$/$(EXEEXT)/' \
634         `; \
635         test -n "$$list" || exit 0; \
636         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
637         cd "$(DESTDIR)$(bindir)" && rm -f $$files
638
639 clean-binPROGRAMS:
640         @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
641         echo " rm -f" $$list; \
642         rm -f $$list || exit $$?; \
643         test -n "$(EXEEXT)" || exit 0; \
644         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
645         echo " rm -f" $$list; \
646         rm -f $$list
647
648 asn1c$(EXEEXT): $(asn1c_OBJECTS) $(asn1c_DEPENDENCIES) $(EXTRA_asn1c_DEPENDENCIES) 
649         @rm -f asn1c$(EXEEXT)
650         $(AM_V_CCLD)$(LINK) $(asn1c_OBJECTS) $(asn1c_LDADD) $(LIBS)
651
652 enber$(EXEEXT): $(enber_OBJECTS) $(enber_DEPENDENCIES) $(EXTRA_enber_DEPENDENCIES) 
653         @rm -f enber$(EXEEXT)
654         $(AM_V_CCLD)$(LINK) $(enber_OBJECTS) $(enber_LDADD) $(LIBS)
655
656 unber$(EXEEXT): $(unber_OBJECTS) $(unber_DEPENDENCIES) $(EXTRA_unber_DEPENDENCIES) 
657         @rm -f unber$(EXEEXT)
658         $(AM_V_CCLD)$(LINK) $(unber_OBJECTS) $(unber_LDADD) $(LIBS)
659
660 mostlyclean-compile:
661         -rm -f *.$(OBJEXT)
662
663 distclean-compile:
664         -rm -f *.tab.c
665
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/asn1c.Po@am__quote@
667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/enber.Po@am__quote@
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unber.Po@am__quote@
669
670 .c.o:
671 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
672 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
675 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
676
677 .c.obj:
678 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
679 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
683
684 .c.lo:
685 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
686 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
689 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
690
691 mostlyclean-libtool:
692         -rm -f *.lo
693
694 clean-libtool:
695         -rm -rf .libs _libs
696
697 ID: $(am__tagged_files)
698         $(am__define_uniq_tagged_files); mkid -fID $$unique
699 tags: tags-am
700 TAGS: tags
701
702 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
703         set x; \
704         here=`pwd`; \
705         $(am__define_uniq_tagged_files); \
706         shift; \
707         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
708           test -n "$$unique" || unique=$$empty_fix; \
709           if test $$# -gt 0; then \
710             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
711               "$$@" $$unique; \
712           else \
713             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
714               $$unique; \
715           fi; \
716         fi
717 ctags: ctags-am
718
719 CTAGS: ctags
720 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
721         $(am__define_uniq_tagged_files); \
722         test -z "$(CTAGS_ARGS)$$unique" \
723           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
724              $$unique
725
726 GTAGS:
727         here=`$(am__cd) $(top_builddir) && pwd` \
728           && $(am__cd) $(top_srcdir) \
729           && gtags -i $(GTAGS_ARGS) "$$here"
730 cscopelist: cscopelist-am
731
732 cscopelist-am: $(am__tagged_files)
733         list='$(am__tagged_files)'; \
734         case "$(srcdir)" in \
735           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
736           *) sdir=$(subdir)/$(srcdir) ;; \
737         esac; \
738         for i in $$list; do \
739           if test -f "$$i"; then \
740             echo "$(subdir)/$$i"; \
741           else \
742             echo "$$sdir/$$i"; \
743           fi; \
744         done >> $(top_builddir)/cscope.files
745
746 distclean-tags:
747         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
748
749 # Recover from deleted '.trs' file; this should ensure that
750 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
751 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
752 # to avoid problems with "make -n".
753 .log.trs:
754         rm -f $< $@
755         $(MAKE) $(AM_MAKEFLAGS) $<
756
757 # Leading 'am--fnord' is there to ensure the list of targets does not
758 # expand to empty, as could happen e.g. with make check TESTS=''.
759 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
760 am--force-recheck:
761         @:
762
763 $(TEST_SUITE_LOG): $(TEST_LOGS)
764         @$(am__set_TESTS_bases); \
765         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
766         redo_bases=`for i in $$bases; do \
767                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
768                     done`; \
769         if test -n "$$redo_bases"; then \
770           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
771           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
772           if $(am__make_dryrun); then :; else \
773             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
774           fi; \
775         fi; \
776         if test -n "$$am__remaking_logs"; then \
777           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
778                "recursion detected" >&2; \
779         elif test -n "$$redo_logs"; then \
780           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
781         fi; \
782         if $(am__make_dryrun); then :; else \
783           st=0;  \
784           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
785           for i in $$redo_bases; do \
786             test -f $$i.trs && test -r $$i.trs \
787               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
788             test -f $$i.log && test -r $$i.log \
789               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
790           done; \
791           test $$st -eq 0 || exit 1; \
792         fi
793         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
794         ws='[   ]'; \
795         results=`for b in $$bases; do echo $$b.trs; done`; \
796         test -n "$$results" || results=/dev/null; \
797         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
798         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
799         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
800         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
801         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
802         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
803         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
804         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
805           success=true; \
806         else \
807           success=false; \
808         fi; \
809         br='==================='; br=$$br$$br$$br$$br; \
810         result_count () \
811         { \
812             if test x"$$1" = x"--maybe-color"; then \
813               maybe_colorize=yes; \
814             elif test x"$$1" = x"--no-color"; then \
815               maybe_colorize=no; \
816             else \
817               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
818             fi; \
819             shift; \
820             desc=$$1 count=$$2; \
821             if test $$maybe_colorize = yes && test $$count -gt 0; then \
822               color_start=$$3 color_end=$$std; \
823             else \
824               color_start= color_end=; \
825             fi; \
826             echo "$${color_start}# $$desc $$count$${color_end}"; \
827         }; \
828         create_testsuite_report () \
829         { \
830           result_count $$1 "TOTAL:" $$all   "$$brg"; \
831           result_count $$1 "PASS: " $$pass  "$$grn"; \
832           result_count $$1 "SKIP: " $$skip  "$$blu"; \
833           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
834           result_count $$1 "FAIL: " $$fail  "$$red"; \
835           result_count $$1 "XPASS:" $$xpass "$$red"; \
836           result_count $$1 "ERROR:" $$error "$$mgn"; \
837         }; \
838         {                                                               \
839           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
840             $(am__rst_title);                                           \
841           create_testsuite_report --no-color;                           \
842           echo;                                                         \
843           echo ".. contents:: :depth: 2";                               \
844           echo;                                                         \
845           for b in $$bases; do echo $$b; done                           \
846             | $(am__create_global_log);                                 \
847         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
848         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
849         if $$success; then                                              \
850           col="$$grn";                                                  \
851          else                                                           \
852           col="$$red";                                                  \
853           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
854         fi;                                                             \
855         echo "$${col}$$br$${std}";                                      \
856         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
857         echo "$${col}$$br$${std}";                                      \
858         create_testsuite_report --maybe-color;                          \
859         echo "$$col$$br$$std";                                          \
860         if $$success; then :; else                                      \
861           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
862           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
863             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
864           fi;                                                           \
865           echo "$$col$$br$$std";                                        \
866         fi;                                                             \
867         $$success || exit 1
868
869 check-TESTS:
870         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
871         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
872         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
873         @set +e; $(am__set_TESTS_bases); \
874         log_list=`for i in $$bases; do echo $$i.log; done`; \
875         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
876         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
877         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
878         exit $$?;
879 recheck: all $(dist_check_SCRIPTS)
880         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
881         @set +e; $(am__set_TESTS_bases); \
882         bases=`for i in $$bases; do echo $$i; done \
883                  | $(am__list_recheck_tests)` || exit 1; \
884         log_list=`for i in $$bases; do echo $$i.log; done`; \
885         log_list=`echo $$log_list`; \
886         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
887                 am__force_recheck=am--force-recheck \
888                 TEST_LOGS="$$log_list"; \
889         exit $$?
890 check-xxber.sh.log: check-xxber.sh
891         @p='check-xxber.sh'; \
892         b='check-xxber.sh'; \
893         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
894         --log-file $$b.log --trs-file $$b.trs \
895         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
896         "$$tst" $(AM_TESTS_FD_REDIRECT)
897 .test.log:
898         @p='$<'; \
899         $(am__set_b); \
900         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
901         --log-file $$b.log --trs-file $$b.trs \
902         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
903         "$$tst" $(AM_TESTS_FD_REDIRECT)
904 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
905 @am__EXEEXT_TRUE@       @p='$<'; \
906 @am__EXEEXT_TRUE@       $(am__set_b); \
907 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
908 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
909 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
910 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
911
912 distdir: $(DISTFILES)
913         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
914         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
915         list='$(DISTFILES)'; \
916           dist_files=`for file in $$list; do echo $$file; done | \
917           sed -e "s|^$$srcdirstrip/||;t" \
918               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
919         case $$dist_files in \
920           */*) $(MKDIR_P) `echo "$$dist_files" | \
921                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
922                            sort -u` ;; \
923         esac; \
924         for file in $$dist_files; do \
925           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
926           if test -d $$d/$$file; then \
927             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
928             if test -d "$(distdir)/$$file"; then \
929               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
930             fi; \
931             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
932               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
933               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
934             fi; \
935             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
936           else \
937             test -f "$(distdir)/$$file" \
938             || cp -p $$d/$$file "$(distdir)/$$file" \
939             || exit 1; \
940           fi; \
941         done
942 check-am: all-am
943         $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
944         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
945 check: check-am
946 all-am: Makefile $(PROGRAMS) $(HEADERS)
947 installdirs:
948         for dir in "$(DESTDIR)$(bindir)"; do \
949           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
950         done
951 install: install-am
952 install-exec: install-exec-am
953 install-data: install-data-am
954 uninstall: uninstall-am
955
956 install-am: all-am
957         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
958
959 installcheck: installcheck-am
960 install-strip:
961         if test -z '$(STRIP)'; then \
962           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
963             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
964               install; \
965         else \
966           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
967             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
968             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
969         fi
970 mostlyclean-generic:
971         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
972         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
973         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
974
975 clean-generic:
976         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
977
978 distclean-generic:
979         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
980         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
981
982 maintainer-clean-generic:
983         @echo "This command is intended for maintainers to use"
984         @echo "it deletes files that may require special tools to rebuild."
985 clean: clean-am
986
987 clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
988
989 distclean: distclean-am
990         -rm -rf ./$(DEPDIR)
991         -rm -f Makefile
992 distclean-am: clean-am distclean-compile distclean-generic \
993         distclean-tags
994
995 dvi: dvi-am
996
997 dvi-am:
998
999 html: html-am
1000
1001 html-am:
1002
1003 info: info-am
1004
1005 info-am:
1006
1007 install-data-am:
1008
1009 install-dvi: install-dvi-am
1010
1011 install-dvi-am:
1012
1013 install-exec-am: install-binPROGRAMS
1014
1015 install-html: install-html-am
1016
1017 install-html-am:
1018
1019 install-info: install-info-am
1020
1021 install-info-am:
1022
1023 install-man:
1024
1025 install-pdf: install-pdf-am
1026
1027 install-pdf-am:
1028
1029 install-ps: install-ps-am
1030
1031 install-ps-am:
1032
1033 installcheck-am:
1034
1035 maintainer-clean: maintainer-clean-am
1036         -rm -rf ./$(DEPDIR)
1037         -rm -f Makefile
1038 maintainer-clean-am: distclean-am maintainer-clean-generic
1039
1040 mostlyclean: mostlyclean-am
1041
1042 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1043         mostlyclean-libtool
1044
1045 pdf: pdf-am
1046
1047 pdf-am:
1048
1049 ps: ps-am
1050
1051 ps-am:
1052
1053 uninstall-am: uninstall-binPROGRAMS
1054
1055 .MAKE: check-am install-am install-strip
1056
1057 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1058         clean-binPROGRAMS clean-generic clean-libtool cscopelist-am \
1059         ctags ctags-am distclean distclean-compile distclean-generic \
1060         distclean-libtool distclean-tags distdir dvi dvi-am html \
1061         html-am info info-am install install-am install-binPROGRAMS \
1062         install-data install-data-am install-dvi install-dvi-am \
1063         install-exec install-exec-am install-html install-html-am \
1064         install-info install-info-am install-man install-pdf \
1065         install-pdf-am install-ps install-ps-am install-strip \
1066         installcheck installcheck-am installdirs maintainer-clean \
1067         maintainer-clean-generic mostlyclean mostlyclean-compile \
1068         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1069         recheck tags tags-am uninstall uninstall-am \
1070         uninstall-binPROGRAMS
1071
1072 .PRECIOUS: Makefile
1073
1074 @CODE_COVERAGE_RULES@
1075
1076 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1077 # Otherwise a system limit (for SysV at least) may be exceeded.
1078 .NOEXPORT: